Bug 771941 - Review Request: bacula-docs - Bacula documentation
Summary: Review Request: bacula-docs - Bacula documentation
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-05 13:39 UTC by Simone Caronni
Modified: 2012-01-24 08:37 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-01-24 08:37:57 UTC
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Simone Caronni 2012-01-05 13:39:37 UTC
Spec URL: http://slaanesh.fedorapeople.org/bacula.spec
SRPM URL: http://slaanesh.fedorapeople.org/bacula-docs-5.2.3-6.fc16.src.rpm
Description:
Bacula is a set of programs that allow you to manage the backup,
recovery, and verification of computer data across a network of
different computers. It is based on a client/server architecture.

This package contains the documentation for most of the bacula-packages.

---------------------------------------------------------------------------
Notes:

This is a spinoff of the bacula-docs subpackage that is present inside bacula that I'm currently co-mantaining:

http://koji.fedoraproject.org/koji/buildinfo?buildID=281037

Motivations for the spin-off:

- To avoid rebuilding 40 mb of docs each release that never change and to avoid uploading 40 mb for each koji scratch build.
- It is pointless to have the user update all the docs each time we generate a new bacula package because of a security fix or bug.
- It is also built for RHEL 4/5/6 (most of the userbase goes there), and in RHEL 4/5 there's no way to specify a different BuildArch in a subpackage, so i.e. on RHEL 5 you got "x86_64" pdf files.
- The package bacula-gui (currently not available in Fedora) will follow the same approach and be a separate Review Request.

Package notes:

- It has the release number immediately after the one which is in rawhide so it will update the one generated from the bacula package. If it's accepted I will remove the docs in the bacula package.
- It passes all rpmlint checks.
- It doesn't have an install section, all documents are included as %docs from the source folder where they are generated.

Comment 1 Simone Caronni 2012-01-05 17:14:45 UTC
Updated; as suggested I created a bacula-devel subpackage that's required by bacula-docs to build. Thanks Tom Callaway:

Spec URL: http://slaanesh.fedorapeople.org/bacula.spec
SRPM URL: http://slaanesh.fedorapeople.org/bacula-docs-5.2.3-7.fc16.src.rpm

Comment 2 Matthias Runge 2012-01-10 12:09:11 UTC
Spec URL is probably http://slaanesh.fedorapeople.org/bacula-docs.spec

Comment 3 Matthias Runge 2012-01-11 08:10:43 UTC
OK, I'll take this one

Comment 4 Matthias Runge 2012-01-11 08:27:04 UTC
Just a few notes:

* there is no package bacula-devel, whicht one do you really require?
* bacula-docs clashes with bacula-docs from updates-testing repository. There cannot be two packages with the same name. You're maintainer for bacula, too? Then you should split/drop bacula-docs subpackage from bacula.

Comment 5 Simone Caronni 2012-01-11 08:36:13 UTC
Hello,

bacula-devel is here in the latest build from rawhide:

http://koji.fedoraproject.org/koji/buildinfo?buildID=281423

As written at the first post this "bacula-docs" package is a spin off from the bacula main package, so as soon this one is approved I will remove the section building the "bacula-docs" subpackage from the main package.

If you want I can trigger now a rawhide build already without the bacula-docs subpackage.

The same goes for f15 / f16, I can change the way it is built in the next update.

Comment 6 Matthias Runge 2012-01-11 08:42:52 UTC
if you're going to package this for fedora>16, you could drop references and tests for earlier versions. I'd recomment to do this, you introduce the split for fedora 17. (drop -docs subpackage from bacula, introduce bacula-docs as separate package)

Comment 7 Simone Caronni 2012-01-11 08:52:57 UTC
Well, the package is "backported" also for all RHEL versions, where the main user base resides:

http://repos.fedorapeople.org/repos/slaanesh/bacula/README.txt

I introduced those changes exactly to have the same package build everywhere.

If you are ok with this I can do the following:

1) Trigger a build in rawhide without the docs subpackage (version 5.2.3)

2) Commit all changes required to the f15 / f16 branches to remove bacula-docs subpackage (version 5.0.3) and do NOT trigger a build / update when this is approved.

3) When the package is approved and I have commit access for the git repo I will trigger builds everywhere and create testing updates for f15 / f16.

Comment 8 Matthias Runge 2012-01-11 10:12:37 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/771941/bacula-docs-5.2.3.tar.bz2 :
  MD5SUM this package     : 1dc74dbed0f9d454d2863b543153ddc1
  MD5SUM upstream package : 1dc74dbed0f9d454d2863b543153ddc1

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Note:

because of missing bacula-devel package builds for me only on rawhide for x86_64

OK, APPROVED

Comment 9 Simone Caronni 2012-01-11 10:26:42 UTC
New Package SCM Request
=======================
Package Name: bacula-docs
Short Description: Bacula documentation
Owners: slaanesh
Branches: f15 f16 el4 el5 el6
InitialCC:

Comment 10 Itamar Reis Peixoto 2012-01-11 10:35:41 UTC
bacula is already in fedora.

why not a sub-package of bacula ?

http://koji.fedoraproject.org/koji/packageinfo?packageID=4820

Comment 11 Simone Caronni 2012-01-11 10:45:51 UTC
Hello,

I know it's in Fedora, all the latest builds are mine and bacula-docs is currently a subpackage of bacula.

What we're trying to accomplish is exactly the opposite, split it off from the main bacula package.

I think you should read all this review from the beginning along with the recent discussion on packaging@lists.fedoraproject.org:

http://lists.fedoraproject.org/pipermail/packaging/2012-January/008081.html

Regards,
--Simone

Comment 12 Gwyn Ciesla 2012-01-11 13:21:08 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.